package com.fs.store.service;

import java.util.List;
import com.fs.store.domain.FsPrescribeDrug;

/**
 * 处方药品Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsPrescribeDrugService 
{
    /**
     * 查询处方药品
     * 
     * @param drugId 处方药品ID
     * @return 处方药品
     */
    public FsPrescribeDrug selectFsPrescribeDrugById(Long drugId);

    /**
     * 查询处方药品列表
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 处方药品集合
     */
    public List<FsPrescribeDrug> selectFsPrescribeDrugList(FsPrescribeDrug fsPrescribeDrug);

    /**
     * 新增处方药品
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 结果
     */
    public int insertFsPrescribeDrug(FsPrescribeDrug fsPrescribeDrug);

    /**
     * 修改处方药品
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 结果
     */
    public int updateFsPrescribeDrug(FsPrescribeDrug fsPrescribeDrug);

    /**
     * 批量删除处方药品
     * 
     * @param drugIds 需要删除的处方药品ID
     * @return 结果
     */
    public int deleteFsPrescribeDrugByIds(Long[] drugIds);

    /**
     * 删除处方药品信息
     * 
     * @param drugId 处方药品ID
     * @return 结果
     */
    public int deleteFsPrescribeDrugById(Long drugId);
}
